Issue 120675

Summary: big memory leak when opening the digital signature of sample file howtouse.odt
Product: performance Reporter: zhang jianfang <zhangjf>
Component: codeAssignee: zhang jianfang <zhangjf>
Status: CLOSED FIXED QA Contact:
Severity: Normal    
Priority: P3    
Version: AOO 3.4.0   
Target Milestone: 4.0.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on:    
Issue Blocks: 120975, 121366    
Attachments:
Description Flags
sample odt file
none
xmlsecurity.patch none

Description zhang jianfang 2012-08-23 06:56:00 UTC
Created attachment 79084 [details]
sample odt file

When opening the digital signature of sample file, it shows big memory leak. If repeats for 8 times, there are about 2~3 Meg memory increase.
Comment 1 zhang jianfang 2012-08-23 07:14:36 UTC
Created attachment 79085 [details]
xmlsecurity.patch

Need save the store handles and close them in SecurityEnvironment_MSCryptImpl dctor.
Comment 2 SVN Robot 2012-09-04 02:46:27 UTC
"zhangjf" committed SVN revision 1380438 into trunk:
#i120675#, the certificate store handles need to be closed after closing the ...
Comment 3 zhang jianfang 2012-09-04 02:47:29 UTC
Change to resolved state.
Comment 4 Yan Ji 2012-11-30 04:47:30 UTC
Since last SVT(r1400866) shows there is no memory leak, so close this defect as resolved.